Subject: Re: Problem with radeonfb on PowerPC 7448&MV64560

From: Detlev Zundel <[email-masked]>
Date: Fri, 20 Mar 2009 11:51:11 +0100

Hi Eduard,

> Am Mittwoch 18 März 2009 00:05:00 schrieb Benjamin Herrenschmidt:
>> On Tue, 2009-03-17 at 16:30 +0100, Eduard Fuchs wrote:
>> > Hi all,
>> >
>> > since several days I'm trying to run an ATI 9250 (PCI) graphic card under
>> > Linux Kernel 2.6.27.19. Nevertheless without success. The kernel shows
>> > the following message:
>> >
>> > videoboot: Booting PCI video card bus 0, function 0, device 7
>> > biosEmu: undefined interrupt 15h called!
>> > biosEmu/bios.int42: unknown function AH=0x0, AL=0x7, BL=0x0
>>
>> The above comes from some patches you added to the kernel ? You should
>> probably do the softboot in the firmware instead...
>
> Yes. I'm using the videoboot-2.6x.patch (this patch contain also the xf86emu 
> from www.scitechsoft.com). With this pach the radeon card work properly with 
> 2.6.12 kernel version. On the 2.6.27 kernel the "videoboot" fetch the bios 
> from the video card and start them in the xf86emu.
>
> Can I initialize the video card in uboot too?

Yes, indeed you can.  In a recent version of U-Boot, search for
'CONFIG_BIOSEMU' in include/configs/*.  We tested this on a sequoia
board, so include/configs/sequoia.h should be a good start for this.

Cheers
  Detlev

--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-40 Fax: (+49)-8142-66989-80 Email: [email-masked]